Loading...
Searching...
No Matches
mkgeo_ball Namespace Reference

## Variables

| verbose = false
str | command = "$*"
int | surface_only = $1; shift
int | variant = $1; shift
int | n = $1; shift
int | a = $1
int | b = $2
int | c = $3
int | d = $4
| SecondOrderIncomplete
| ElementOrder
| SecondOrderLinear
| SecondOrderExperimental
| SmoothInternalEdges
| Smoothing
tuple | ab = (a+b)/2;
tuple | cd = (c+d)/2;
int | f = $5
int | g = $6
tuple | fg = (f+g)/2;
| Algorithm
int | dim = $1; shift
str | usage = "mkgeo_ball [-{tq}|-tq] [n] [-s] [-order k] [-{abcdfg} float] [-[no]fix] [-[no]clean] [-[no]verbose]"
| GMSH = ${GMSH-"gmsh"}
| pkgbindir = `rheolef-config --pkglibdir`
| clean = true
str | bindir = ""
int | map_dim = 2
int | order = 1
| fix = true
| var
str | expr = "$var=$2"
str | tmp = "/tmp/tmp$$"
str | MSH2GEO = "${bindir}msh2geo"
str | GEO = "${bindir}geo"
str | fix_filter = "$pkgbindir/mkgeo_ball_gmsh_fix -order $order"

## Variable Documentation

## verbose

verbose = false

Definition at line 133 of file mkgeo_ball.sh.

## command

str command = "$*"

Definition at line 136 of file mkgeo_ball.sh.

## surface_only

str surface_only = $1; shift

Definition at line 148 of file mkgeo_ball.sh.

## variant

int variant = $1; shift

Definition at line 149 of file mkgeo_ball.sh.

## n

int n = $1; shift

Definition at line 150 of file mkgeo_ball.sh.

## a

int a = $1

Definition at line 151 of file mkgeo_ball.sh.

## b

int b = $2

Definition at line 152 of file mkgeo_ball.sh.

## c

int c = $3

Definition at line 153 of file mkgeo_ball.sh.

## d

int d = $4

Definition at line 154 of file mkgeo_ball.sh.

## SecondOrderIncomplete

SecondOrderIncomplete

Definition at line 157 of file mkgeo_ball.sh.

## ElementOrder

ElementOrder

Definition at line 158 of file mkgeo_ball.sh.

## SecondOrderLinear

SecondOrderLinear

Definition at line 160 of file mkgeo_ball.sh.

## SecondOrderExperimental

SecondOrderExperimental

Definition at line 161 of file mkgeo_ball.sh.

## SmoothInternalEdges

SmoothInternalEdges

Definition at line 162 of file mkgeo_ball.sh.

## Smoothing

Smoothing

Definition at line 163 of file mkgeo_ball.sh.

## ab

tuple ab = (a+b)/2;

Definition at line 175 of file mkgeo_ball.sh.

## cd

tuple cd = (c+d)/2;

Definition at line 176 of file mkgeo_ball.sh.

## f

int f = $5

Definition at line 221 of file mkgeo_ball.sh.

## g

int g = $6

Definition at line 222 of file mkgeo_ball.sh.

## fg

tuple fg = (f+g)/2;

Definition at line 232 of file mkgeo_ball.sh.

## Algorithm

Algorithm

Definition at line 267 of file mkgeo_ball.sh.

## dim

str dim = $1; shift

Definition at line 307 of file mkgeo_ball.sh.

## usage

str usage = "mkgeo_ball [-{tq}|-tq] [n] [-s] [-order k] [-{abcdfg} float] [-[no]fix] [-[no]clean] [-[no]verbose]"

Definition at line 316 of file mkgeo_ball.sh.

## GMSH

GMSH = ${GMSH-"gmsh"}

Definition at line 332 of file mkgeo_ball.sh.

## pkgbindir

pkgbindir = `rheolef-config --pkglibdir`

Definition at line 333 of file mkgeo_ball.sh.

## clean

clean = true

Definition at line 335 of file mkgeo_ball.sh.

## bindir

str bindir = ""

Definition at line 336 of file mkgeo_ball.sh.

## map_dim

map_dim = 2

Definition at line 337 of file mkgeo_ball.sh.

## order

int order = 1

Definition at line 343 of file mkgeo_ball.sh.

## fix

fix = true

Definition at line 345 of file mkgeo_ball.sh.

## var

var

Definition at line 359 of file mkgeo_ball.sh.

## expr

str expr = "$var=$2"

Definition at line 361 of file mkgeo_ball.sh.

## tmp

str tmp = "/tmp/tmp$$"

Definition at line 380 of file mkgeo_ball.sh.

## MSH2GEO

str MSH2GEO = "${bindir}msh2geo"

Definition at line 406 of file mkgeo_ball.sh.

## GEO

str GEO = "${bindir}geo"

Definition at line 407 of file mkgeo_ball.sh.

## fix_filter

str fix_filter = "$pkgbindir/mkgeo_ball_gmsh_fix -order $order"

Definition at line 412 of file mkgeo_ball.sh.